%define objprelink 0
%define cvs cvs8
%undefine __libtoolize

Name: zapping
Version: 0.7
Release: alt2
Summary: Zapping - A GNOME2 TV viewer
License: GPL
Group: Video
URL: http://zapping.sourceforge.net
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: libzvbi mp1e

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Sun Jul 18 2004
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs consolehelper docbook-dtds esound-devel
BuildRequires: fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel hostinfo libGConf2-devel
BuildRequires: libart_lgpl-devel libarts-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel
BuildRequires: libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel
BuildRequires: libjpeg-devel liblirc-devel libpango-devel libpng-devel libpopt-devel librte-devel libxml2-devel
BuildRequires: libzvbi-devel pkgconfig python-base python-dev python-modules-encodings scrollkeeper
BuildRequires: xml-common xml-utils xsltproc zlib-devel libpam-devel

%description
Zapping - TV viewer following V4L2 spec (not compiled into the Kernel by default) from scratch, but trying to make it as complete as possible. This is the latest version of that software.

%prep
%setup -q -n %name-%version

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--enable-v4l \
	--with-x

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

#icons
mkdir %buildroot%_iconsdir
cp %buildroot%_datadir/pixmaps/%name/gnome-television.png %buildroot%_iconsdir/%name.png
rm -f %buildroot%_bindir/zapzilla
ln -s /usr/bin/zapping %buildroot%_bindir/zapzilla

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name): \
command="/usr/bin/zapzilla" \
title="Zapping TV" \
longtitle="Zapping TV viewer" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Video" 
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files  -f %name.lang
%doc COPYING NEWS README INSTALL ChangeLog
%_bindir/zap*
%_sysconfdir/pam.d/zap*
%_sysconfdir/security/console.apps/zap*
%_sbindir/zappin*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*
%_mandir/man1/zap*
%_datadir/gnome/apps/Multimedia/*.desktop
%dir %_datadir/gnome/help/%name
%dir %_datadir/gnome/help/%name/C
%_datadir/gnome/help/%name/C/*
%dir %_datadir/pixmaps/%name
%_datadir/pixmaps/%name
%dir %_datadir/%name
%_datadir/%name
%dir %_datadir/omf/%name
%_datadir/omf/%name
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Sun Jul 18 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt2
- 0.7-releaze

* Wed Jun 02 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs

* Sun Dec 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs

* Thu Nov 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1.%cvs
- 0.7-%cvs
- new buildrequires and rebuilding in hasher

* Tue Feb 18 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt1
- 0.6.6
- new mandirs

* Sat Nov 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.5-alt1
- 0.6.5

- specfile cleanup

